import { Component, OnInit } from '@angular/core';
import { Unidade } from 'src/app/models/unidSaude/unidade.model';
import { MatDialog } from '@angular/material/dialog';
import { UnidSaudeService } from 'src/app/services/unidSaude/unid-saude.service';
import { ModalSairComponent } from './modal-sair/modal-sair.component';

@Component({
  selector: 'app-perfil',
  templateUrl: './perfil.component.html',
  styleUrls: ['./perfil.component.css']
})
export class PerfilComponent implements OnInit {
  unidade: Unidade = new Unidade();
  constructor( private _service:UnidSaudeService, public dialog: MatDialog) { }

  openDialog(): void {
    const dialogRef = this.dialog.open(ModalSairComponent, {
      width: '400px',
      data: {} // Pode passar dados para o modal, se necessário
    });

    dialogRef.afterClosed().subscribe(result => {
      console.log('O modal foi fechado', result);
    });
  }


  ngOnInit() { 
    const unidId = localStorage.getItem('UserId');
  
    if (unidId) {
      this._service.getOneUnid(unidId).subscribe(
        (data) => {
          this.unidade = data;
          console.log(this.unidade);
        },
        (error) => {
          console.error('Erro ao obter dados do usuário', error);
        }
      );
    } else {
      console.error('ID do usuário não encontrado no localStorage');
    }
  }
}

